package com.jz.sms.channel.chuanglan.service;

import com.alibaba.fastjson.JSONObject;
import com.jz.sms.channel.chuanglan.dto.CLNotifyRequest;
import com.jz.sms.channel.chuanglan.dto.CLBizResponse;
import com.jz.sms.channel.chuanglan.dto.ReportDto;

public interface ChuangLanSmsService {


    CLBizResponse createTemplate(String content, String type) throws Exception;


    CLBizResponse sendByFixed(JSONObject uidJson, String content, String sendParams, String type) throws Exception;


    CLBizResponse sendByVariable(JSONObject uidJson, String content, String sendParams, String type) throws Exception;

    CLBizResponse asyncNotify(CLNotifyRequest notifyInfo) throws Exception;

    CLBizResponse report(ReportDto report) throws Exception;
}
